Open SCAP Library

Data Structures | Macros | Functions
fsdev.h File Reference

fsdev API public header file More...

`#include <stddef.h>`
`#include <stdint.h>`
`#include <sys/stat.h>`

Go to the source code of this file.

## Data Structures
struct | fsdev_t
| Filesystem device structure. More...

## Functions
fsdev_t * | fsdev_init (const char **fs, size_t fs_cnt)
| Initialize the fsdev_t structure from an array of filesystem names.
fsdev_t * | fsdev_strinit (const char *fs_names)
| Initialize the fsdev_t structure from a string containing filesystem names.
void | fsdev_free (fsdev_t *lfs)
| Free the fsdev_t structure.
int | fsdev_search (fsdev_t *lfs, void *id)
| Search an id in the fsdev_t structure.
int | fsdev_path (fsdev_t *lfs, const char *path)
| Check whether a path points points to a place on any of the devices in the fsdev_t structure. More...
int | fsdev_fd (fsdev_t *lfs, int fd)
| Check whether a file descriptor is associated with a file that resides on any of the devices in the fsdev_t structure. More...

## Detailed Description

fsdev API public header file

Author
  "Daniel Kopecek" dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m